> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Project Member

> 
Change a user's role in the project. Requires project admin role.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json patch /api/v2/projects/{project_id}/members/{user_id}
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/members/{user_id}:
    patch:
      tags:
        - Configuration
      summary: Update Project Member
      description: |-

        Change a user's role in the project. Requires project admin role.
      operationId: patch_update_member
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: user_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                project_role_name:
                  $ref: '#/components/schemas/ProjectRoleName'
              required:
                - project_role_name
              title: UpdateMemberRequest
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties: {}
                title: EmptyResponse
                type: object
          description: EmptyResponse()
components:
  schemas:
    ProjectRoleName:
      enum:
        - Project Admin
        - Project Editor
        - Project Analyst
      title: ProjectRoleName
      type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````